## Function(treeNode)zTreeObj.editName

### Overview[ depends on jquery.ztree.exedit js ]

Start editing the node's name.

1. If need to cancel editing the node's name, please use cancelEditName(newName) method.

2. This method can be used to set the editing node‘s input box to get focus.

3. Please use zTree object to executing the method.

### Function Parameter Descriptions

#### treeNode JSON

JSON data object of the node to be editing name

Please ensure that this data object is an internal node data object in zTree.

#### Retrun none

no return value

### Examples of function

#### 1. Start editing the first selected node's name.

    var treeObj = $.fn.zTree.getZTreeObj("tree");
    var nodes = treeObj.getNodes();
    treeObj.editName(nodes[0]);